GlyphSubstitutionTable.Ligature (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.complexscripts.fonts

## Class GlyphSubstitutionTable.Ligature

- java.lang.Object
- - org.apache.fop.complexscripts.fonts.GlyphSubstitutionTable.Ligature

- Enclosing class:
    GlyphSubstitutionTable

      public static class GlyphSubstitutionTable.Ligature
      extends java.lang.Object

  The `Ligature` class implements a ligature lookup result in terms of a ligature glyph (code) and the N+1... components that comprise the ligature, where the Nth component was consumed in the coverage table lookup mapping to this ligature instance.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Ligature(int ligature, int[] components)` Instantiate a ligature.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int[]` | `getComponents()`
    `int` | `getLigature()`
    `int` | `getNumComponents()`
    `boolean` | `matchesComponents(int[] glyphs)` Determine if input sequence at offset matches ligature's components.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Ligature

          public Ligature(int ligature,
                          int[] components)

      Instantiate a ligature.
      Parameters:
        `ligature` - glyph id
        `components` - sequence of N+1... component glyph (or character) identifiers

  - ### Method Detail

    - #### getLigature

          public int getLigature()

      Returns:
        ligature glyph id

    - #### getComponents

          public int[] getComponents()

      Returns:
        array of N+1... components

    - #### getNumComponents

          public int getNumComponents()

      Returns:
        components count

    - #### matchesComponents

          public boolean matchesComponents(int[] glyphs)

      Determine if input sequence at offset matches ligature's components.
      Parameters:
        `glyphs` - array of glyph components to match (including first, implied glyph)
      Returns:
        true if matches

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.